using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace VIZ.Framework.Core
{
    /// <summary>
    /// 字符串拼接转化器
    /// </summary>
    public class StringAppendConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string v1 = value == null ? string.Empty : value.ToString();
            string v2 = parameter == null ? string.Empty : parameter.ToString();

            return v1 + v2;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
